Migration guide to open-source repository#
This guide provides instructions for migrating from the closed-source repository of OrangeQS Juice to the open-source repository. The closed-source repository will no longer receive updates and is fully replaced by the open-source repository. The open-source repository is identical to the closed-source repository, except for minor changes in the installation process. In this guide we outline the steps needed to transition smoothly.
Ensure you are logged in as
root, for example by running:sudo -iInstall the new download script. This replaces the existing
juice-download-latestcommand with a version that downloads from the open-source package repository.curl --fail "https://gitlab.com/orangeqs/juice/-/raw/main/packaging/download-latest-proxy.sh" > /bin/juice-download-latest && chmod +x /bin/juice-download-latest
Verify that the new script is installed correctly.
cat /bin/juice-download-latestThis should show the contents of the new script, with the following header at the top of the file:
############################# # Open-source version # #############################
Remove the
ORANGEQS_GITLAB_TOKENenvironment variable from your shell configuration, as it is no longer needed. Modify/root/.bashrcand remove the following line:export ORANGEQS_GITLAB_TOKEN="<your_token_here>"
Download the latest version of OrangeQS Juice and update as usual. See Updating for more details.
dnf install $(juice-download-latest) juice install --rebuild --restart